{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="{{url_for('static',filename='css/addGame.css')}}">
{% endblock %}

{% block main %}
<main class="row row-cols-1 row-cols-md-3 row-cols-lg-3 row-cols-xl-3 d-flex flex-wrap">
    <div class="col flex-column divProp">
        <h3 class="text-center">Proposition d'ajout d'un jeu</h3>
        <form class="d-flex flex-column" method="POST" action="{{url_for('proposeGame_post')}}">
            <ul class="d-flex flex-column flex-fill">
                <li>
                    <input class="border rounded-0 border-dark form-control d-flex titre" type="text"
                        placeholder="Nom du jeux" name="titre" required>
                </li>
                <li>
                    <div class="d-flex">
                        <input class="border rounded-0 border-dark form-control auteur" type="text" placeholder="Auteur"
                            name="auteur" required>
                        <input class="border rounded-0 border-dark form-control" type="text" placeholder="Editeur"
                            name="editeur" required>
                    </div>
                </li>
                <li>
                    <input class="border rounded-0 border-dark form-control annee" type="text"
                        placeholder="Année d'édition" name="anneeEdit" required>
                </li>
                <li class="d-flex justify-content-center">
                    <div class="d-flex flex-grow-1 flex-shrink-1 justify-content-between flex-wrap">
                        <label
                            class="text-nowrap text-secondary border rounded-0 border-dark d-flex flex-grow-1 align-items-center labelNb"
                            for="min">Nombre de joueurs :
                            <input class="form-control form-control-sm d-xl-flex flex-grow-0" type="number" name="min"
                                min="1" placeholder="Min" required>
                            <input class="form-control form-control-sm" type="number" name="max" min="2"
                                placeholder="Max" required>
                        </label>
                        <label
                            class="text-nowrap text-secondary border rounded-0 border-dark d-flex flex-grow-1 align-items-center"
                            for="temps">Durée moyenne (en minutes):
                            <input class="form-control" type="number" name="temps" required>
                        </label>
                    </div>
                </li>
                <li>
                    <div class="d-flex">
                        <input class="border rounded-0 border-dark form-control" type="text" placeholder="Type de jeu"
                            name="type" required>
                        <input class="border rounded-0 border-dark form-control" type="number" placeholder="Age requis"
                            name="age_min" required>
                    </div>
                </li>
                <li class="border rounded-0 border-dark">
                    <select class="form-control" data-toggle="tooltip" data-bs-tooltip="" autofocus="" name="complexite"
                        required>
                        <optgroup label="Complexite">
                            <option value="">Complexité</option>
                            <option value="enfant">Enfant</option>
                            <option value="famille">Famille</option>
                            <option value="expert">Expert</option>
                        </optgroup>
                    </select>
                </li>
                <li>
                    <input class="border rounded-0 border-dark form-control" type="text-area"
                        placeholder="Resumé explicatif" name="resume" required>
                </li>
                <li>
                    <input class="border rounded-0 border-dark form-control d-flex titre" type="text" id="input_file"
                        placeholder="URL de l'image" name="img" onchange="changeImgGame(this)" required>
                </li>
            </ul>
            <div class="form-row">
                <div class="col d-flex justify-content-around divButton">
                    <button class="btn btn-primary blueButton">Annuler</button>
                    <button class="btn btn-link resetButton" type="reset">Vider les champs</button>
                    <button class="btn btn-primary blueButton" type="submit">Valider</button>
                </div>
            </div>
        </form>
    </div>
    <div class="col d-flex justify-content-center align-items-center justify-content-lg-center align-items-lg-center">
        <div class="divImg">
            <img class="d-xl-flex" id="img_jeu" src="{{url_for('static',filename='img/150x150.png')}}">
        </div>
    </div>
</main>

{% endblock %}
{% block script %}
<script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
<script src="{{url_for('static',filename='js/ImageDynamique.js')}}"></script>
{% endblock %}